org.firebirdsql.ds

## Class FBXAConnection

- java.lang.Object
- - org.firebirdsql.ds.FBPooledConnection
  - - org.firebirdsql.ds.FBXAConnection

All Implemented Interfaces:
  javax.sql.PooledConnection, javax.sql.XAConnection

    public class FBXAConnection
    extends FBPooledConnection
    implements javax.sql.XAConnection

XAConnection implementation for `FBXADataSource`

Since:
  2.2
Author:
  Mark Rotteveel

### Constructor Summary

Constructors
Constructor and Description
`FBXAConnection(FBConnection connection)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.firebirdsql.ds.PooledConnectionHandler` `createConnectionHandler(java.sql.Connection connection)` Creates the PooledConnectionHandler for the connection.
`javax.transaction.xa.XAResource` `getXAResource()`
`protected boolean` `inDistributedTransaction()`
`protected void` `resetConnection(java.sql.Connection connection)`

### Methods inherited from class org.firebirdsql.ds.FBPooledConnection

`addConnectionEventListener, addStatementEventListener, close, fireConnectionClosed, fireConnectionError, fireFatalConnectionError, getConnection, releaseConnectionHandler, removeConnectionEventListener, removeStatementEventListener`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface javax.sql.PooledConnection

`addConnectionEventListener, addStatementEventListener, close, getConnection, removeConnectionEventListener, removeStatementEventListener`

### Constructor Detail

#### FBXAConnection

    public FBXAConnection(FBConnection connection)

### Method Detail

#### getXAResource

    public javax.transaction.xa.XAResource getXAResource()
                                                  throws java.sql.SQLException

Specified by:
  `getXAResource` in interface `javax.sql.XAConnection`
Throws:
  `java.sql.SQLException`

#### resetConnection

    protected void resetConnection(java.sql.Connection connection)
                            throws java.sql.SQLException

Overrides:
  `resetConnection` in class `FBPooledConnection`
Throws:
  `java.sql.SQLException`

#### createConnectionHandler

    protected org.firebirdsql.ds.PooledConnectionHandler createConnectionHandler(java.sql.Connection connection)

Description copied from class: `FBPooledConnection`
Creates the PooledConnectionHandler for the connection.

Subclasses may override this method to return their own subclass of PooledConnectionHandler.

Overrides:
  `createConnectionHandler` in class `FBPooledConnection`
Parameters:
  `connection` - Connection
Returns:
  PooledConnectionHandler

#### inDistributedTransaction

    protected boolean inDistributedTransaction()
                                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`